Inkling
/
Labels
/
pi
Sign in
pi
All documents
9 entries
Browse all labels
RFC 0054
Responses Lite Investigation
Responses Lite is an OpenAI Codex Responses transport variant used by some newer Codex models Right now it s undocumented to the best of my knowledge but it s used within the official codex harness for a subset of GPT models It moves instru
public
discussion
Jul 11, 2026
RFC 0047
New Locked Pi Install
For Pi we currently publish npm shrinkwrap json with earendil works pi coding agent That gives the CLI install a vetted dependency graph but it also makes the package behave poorly as a library In particular npm can install duplicate copies
public
discussion
Jun 24, 2026
RFC 0044
First Time Setup
Introduce an experimental first time setup flow for now gated behind PI EXPERIMENTAL 1 for users starting Pi with the default agent directory until we like it The setup should detect the system appearance offer an explicit dark or light the
public
discussion
Jun 9, 2026
RFC 0043
Experimental Pi Flag
We want to introduce a PI EXPERIMENTAL environment variable that opts into unfinished or unbaked features while keeping main releasable by default Problem We want main to stay releasable at all times but we also need a way to test features
public
published
Jun 9, 2026
RFC 0039
Dynamic Model Configuration In Pi
Pi currently ships a committed TypeScript model catalog generated by generate models ts The generator fetches from models dev OpenRouter and Vercel AI Gateway then applies many Pi specific overrides before writing models generated ts which
public
discussion
May 29, 2026
RFC 0038
Pi Analytics
This RFC replaces RFC 0019 rfc 0019 with a more cohesive policy for how to deal with analytics as the current approach needs some fine tuning and transparency Goal The goal is to better understand what is going on in Pi without compromising
public
discussion
May 29, 2026
RFC 0031
Terminal Multiplexers
This document exists to share some of the challenges of making Pi work well with terminal multiplexers Some ideas of what a good multiplexer should do Part of this document was created with the support of a clanker going through GitHub issu
public
published
May 7, 2026
RFC 0019
Pi Telemetry
Update this RFC has been replaced by RFC 0038 rfc 0038 This document outlines the telemetry plan for Pi s coding agent Its intent is to track version adoption and understand user base growth over time Motivation Today Pi s adoption can be e
public
implemented
Apr 14, 2026
RFC 0015
Pi Licensing
Mario Zechner is joining us at Earendil and we just acquired Pi An Open Source project Earendil is a venture backed for profit public benefit corporation How do those things go together Who Are We Serving There is much about Pi and Mario th
public
discussion
Mar 30, 2026